RelayAPI

Stage a new object-storage location or credential version

PUT
/v1/byos
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/byos" \  -H "Content-Type: application/json" \  -d '{    "access_key_id": "string",    "bucket": "string",    "endpoint": "http://example.com",    "secret_access_key": "string"  }'
{  "activated_at": "2019-08-24T14:15:22Z",  "bucket": "string",  "created_at": "2019-08-24T14:15:22Z",  "credential_id": "string",  "credential_version": 0,  "credentials_present": true,  "endpoint": "http://example.com",  "force_path_style": true,  "id": "string",  "key_prefix": "string",  "last_error_code": "string",  "last_tested_at": "2019-08-24T14:15:22Z",  "location_id": "string",  "provider": "s3",  "region": "string",  "retired_at": "2019-08-24T14:15:22Z",  "status": "staged",  "updated_at": "2019-08-24T14:15:22Z"}

Found something wrong? Help us improve this page.